<html lang="EN">
    <head>
        <meta charset="UTF-8">
        <title>Sandbox</title>
    </head>
    <body>
        <script src="jquery-3.3.1.min.js"></script>
        <script src="please.min.js"></script>
        <script>
            $(function() {
                please.init(window);
                please.defaults({
                    targetWindow: parent
                });
                var parentPlease = please(parent);
                var port = function() {
                    return parentPlease;
                };
                var events = {};
                var req = {};
                window.events = events;
                window.req = req;
                window.port = port;
                port().call('events.sandboxReady');
            });
        </script>
    </body>
</html>
